{% extends "base.html" %}
{% load static %}
{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/login.css' %}">
{% endblock %}
{% block title %}Login{% endblock %}
{% block header %}{% endblock %}
{% block content %}
    <main class="form-signin">
        <form method="post">
            {% csrf_token %}
            <h1 class="h3 mb-3 fw-normal">Please sign in</h1>
            {% if form.errors %}
                {% for error in form.non_field_errors %}
                    <div class="alert alert-danger">
                        <strong>{{ error|escape }}</strong>
                    </div>
                {% endfor %}
            {% endif %}
            <div class="form-floating">
                <input type="email"
                       class="form-control"
                       id="floatingInput"
                       placeholder="name@example.com"
                       name="username">
                <label for="floatingInput">Email address</label>
            </div>
            <div class="form-floating">
                <input type="password"
                       class="form-control"
                       id="floatingPassword"
                       placeholder="Password"
                       name="password">
                <label for="floatingPassword">Password</label>
            </div>
            <button class="w-100 btn btn-lg btn-primary" type="submit">Sign in</button>
        </form>
    </main>
{% endblock %}
